/*
 * Copyright (c) 2023 You Apps
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

package com.bnyro.translate.db.obj

import androidx.room.ColumnInfo
import androidx.room.Entity
import androidx.room.PrimaryKey

enum class HistoryItemType {
    HISTORY,
    FAVORITE
}

@Entity
data class HistoryItem(
    @PrimaryKey(autoGenerate = true) val id: Int = 0,
    @ColumnInfo val sourceLanguageName: String,
    @ColumnInfo val sourceLanguageCode: String,
    @ColumnInfo val targetLanguageName: String,
    @ColumnInfo val targetLanguageCode: String,
    @ColumnInfo val insertedText: String,
    @ColumnInfo val translatedText: String,
    @ColumnInfo(defaultValue = "HISTORY") val itemType: HistoryItemType
)
